<style>
<!--
 /* Font Definitions */
 @font-face
	{font-family:Wingdings;
	panose-1:5 0 0 0 0 0 0 0 0 0;}
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
	{font-family:Geneva;}
@font-face
	{font-family:Cambria;
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Times;
	panose-1:2 2 6 3 5 4 5 2 3 4;}
@font-face
	{font-family:"Lucida Grande";}
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;
	font-size:11.0pt;
	font-family:"Arial",sans-serif;}
a:link, span.MsoHyperlink
	{color:blue;
	text-decoration:underline;}
p.MsoPlainText, li.MsoPlainText, div.MsoPlainText
	{mso-style-link:"Nur Text Zchn";
	margin:0cm;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;}
p.Code, li.Code, div.Code
	{mso-style-name:Code;
	mso-style-link:"Code Zchn";
	margin-top:0cm;
	margin-right:35.5pt;
	margin-bottom:0cm;
	margin-left:2.0cm;
	border:none;
	padding:0cm;
	font-size:11.0pt;
	font-family:"Courier New";}
span.CodeZchn
	{mso-style-name:"Code Zchn";
	mso-style-link:Code;
	font-family:"Courier New";}
span.NurTextZchn
	{mso-style-name:"Nur Text Zchn";
	mso-style-link:"Nur Text";
	font-family:"Calibri",sans-serif;}
.MsoChpDefault
	{font-size:12.0pt;}
.MsoPapDefault
	{margin-bottom:10.0pt;}
 /* Page Definitions */
 @page WordSection1
	{size:1190.55pt 841.9pt;
	margin:35.45pt 81.0pt 35.05pt 2.0cm;}
div.WordSection1
	{page:WordSection1;}
 /* List Definitions */
 ol
	{margin-bottom:0cm;}
ul
	{margin-bottom:0cm;}
-->
</style>


<div class=WordSection1>

<p class=MsoNormal style='margin-bottom:10.0pt'>&nbsp;</p>

<p class=MsoNormal style='margin-bottom:10.0pt'>&nbsp;</p>

<table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0 width=1418
 style='margin-left:-.25pt;border-collapse:collapse;border:none;'>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border:solid black 1.0pt;
  border-left:solid;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>&nbsp;</p>
  </td>
  <td width=236 valign=top style='width:177.15pt;border:solid black 1.0pt;
  border-left:none;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><u><span style='font-size:10.0pt'>Quelltext-Fragment</span></u></b><span
  style='font-size:10.0pt'> </span></p>
  <p class=MsoNormal><span style='font-size:10.0pt'>Java / C</span></p>
  </td>
  <td width=217 valign=top style='width:163.05pt;border:solid black 1.0pt;
  border-left:none;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><u><span style='font-size:10.0pt'>Pseudocode</span></u></b></p>
  <p class=MsoNormal><span style='font-size:9.0pt'>(Beispiel: Pseudo-Pascal,
  deutsch)</span></p>
  <p class=MsoNormal><span style='font-size:9.0pt'><a href=" https://oer-informatik.de/pseudocode">Info-Artikel zu Pseudocode</a></span></p>
  </td>
  <td width=246 valign=top style='width:184.25pt;border:solid black 1.0pt;
  border-left:none;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><u><span style='font-size:10.0pt'>Nassi-Shneiderman-Diagramm</span></u></b></p>
  <p class=MsoNormal><span style='font-size:10.0pt'>"Struktogramm", DIN 66261</span></p>
  </td>
  <td width=293 colspan=2 valign=bottom style='width:219.7pt;border:solid black 1.0pt;
  border-left:none;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><b><u><span
  style='font-size:10.0pt'>Programm-Ablaufplan</span></u></b><span
  style='font-size:10.0pt'> <br>
  Flussdiagramm, DIN 66001</span></p>
  </td>
  <td width=246 style='width:184.3pt;border:solid black 1.0pt;border-left:none;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><b><u><span
  style='font-size:10.0pt'>UML-Aktivit&auml;ts-Diagramm</span></u></b></p>
  <p class=MsoNormal align=center style='text-align:center'><a
  href="https://www.omg.org/spec/UML/2.5.1/About-UML/"><span style='font-size:
  10.0pt'>OMG - ISO/IEC 19505</span></a></p>
   <p class=MsoNormal><span style='font-size:9.0pt'><a href=" https://oer-informatik.de/uml-aktivitaetsdiagramm">Info-Artikel zum Aktivit&auml;tsdiagramm</a></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Sequenz:</p>
  <p class=MsoNormal><span style='font-size:9.0pt'>Lineare Aneinanderreihung
  von Operationen</span></p>
  </td>
  <td width=236 style='text-align: left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=Code style='margin:0cm;margin-bottom:.0001pt;border:none'><span
  style='font-size:8.0pt'>int zahl;</span></p>
  <p class=Code style='margin-top:0cm;margin-right:0cm;margin-bottom:0cm;
  margin-left:-.6pt;margin-bottom:.0001pt;border:none'><span style='font-size:
  8.0pt'>zahl = 0;</span></p>
  <p class=Code style='margin-top:0cm;margin-right:0cm;margin-bottom:0cm;
  margin-left:-.6pt;margin-bottom:.0001pt;border:none'><span style='font-size:
  8.0pt'>zahl = zahl + 1;</span></p>
  </td>
  <td width=217 style='text-align: leftwidth:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>zahl<b>:
  INTEGER</b>     # Deklaration</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>zahl
  <b>:=</b> 1         # Zuweisung</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>zahl
  := zahl + 1</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=152 height=92 id="Grafik 13"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image025.png"></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img width=108
  height=117 src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image026.png" align=left
  hspace=12></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>&nbsp;</span></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>&nbsp;</span></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>&nbsp;</span></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>&nbsp;</span></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>(Rauten f&uuml;r Ein- und Ausgabe sind nicht Bestandteil</span></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>der Norm, aber g&auml;ngig)</span></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=Code align=center style='margin-top:0cm;margin-right:0cm;margin-bottom:
  0cm;margin-left:-.6pt;margin-bottom:.0001pt;text-align:center;border:none'><span
  style='font-size:8.0pt'><img border=0 width=145 height=125 id="Grafik 24"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image027.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Bedingte Anweisung</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(bei zwei Alternativen, &uuml;ber
  logische Ausdr&uuml;cke)</span></p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>if(Bedingung){</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}else{</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>WENN</span></b><span
  style='font-size:8.0pt;font-family:"Courier New"'> (<i>Bedingung)</i><b> DANN
  </b></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>SONST
  WENN (</span></b><i><span style='font-size:8.0pt;font-family:"Courier New"'>Bedingung)</span></i></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>SONST</span></b></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'  
  </span></b>&nbsp;&nbsp;<i><span style='font-size:8.0pt;font-family:"Courier New"'>Anweisung</span></i></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>ENDE
  WENN</span></b></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=182 height=69 id="Grafik 11"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image028.jpg"></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=246 height=65 id="Grafik 16"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image029.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt;font-family:"Courier New"'><img border=0 width=189
  height=64 id="Grafik 3" src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image030.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Bedingte Anweisung mit Mehrfachauswahl</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(Abfrage von konkreten
  Werten, keine logischen Ausdr&uuml;cke)</span></p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span lang=EN-GB style='font-size:8.0pt;font-family:"Courier New"'>switch(variable){</span></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:8.0pt;font-family:"Courier New"'>  
  case <i>wert1</i>:</span></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:8.0pt;font-family:"Courier New"'>     
    &nbsp;&nbsp;<i>Anweisung</i>;      break;</span></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:8.0pt;font-family:"Courier New"'>  
  </span><span style='font-size:8.0pt;font-family:"Courier New"'>case <i>wert</i>2:</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>     
    &nbsp;&nbsp;<i>Anweisung</i>;      break;</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
  default: </span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>    
    &nbsp;&nbsp;<i>Anweisung</i>;     break;</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>WERT
  VON</span></b><span style='font-size:8.0pt;font-family:"Courier New"'>
  variable <b>ENTSPRICHT</b></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;1<b>:</b>
  <i>Anweisung</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;&gt;=2<b>:</b>
  <i>Anweisung</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;<b>SONST:</b>
  <i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>ENDE
  WERT VON</span></b></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=198 height=47 id="Grafik 12"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image031.jpg"></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=288 height=75 id="Grafik 17"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image032.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=129 height=86 id="Grafik 39"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image033.jpg"
  alt="For decision points, a predefined guard [else] may be defined."></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b>Kopf</b>gesteuerte Schleife</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(wird ggf. kein mal
  ausgef&uuml;hrt)</span></p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>while(<i>Bedingung</i>){</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  &nbsp;&nbsp;<i>Anweisung</i>;</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>SOLANGE
  </span></b><i><span style='font-size:8.0pt;font-family:"Courier New"'>(Bedingung)</span></i></p>
  <p class=MsoNormal><i><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;Anweisung</span></i></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>ENDE
  SOLANGE</span></b></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=189 height=72 id="Grafik 7"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image010.png"></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=101 height=93 id="Grafik 18"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image034.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt;font-family:"Courier New"'><img border=0 width=93
  height=97 id="Grafik 6" src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image035.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b>Fu&szlig;</b>gesteuerte Schleife</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(wird in jedem Fall einmal
  ausgef&uuml;hrt)</span></p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>do
  {</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  &nbsp;&nbsp;<i>Anweisung;</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>while(<i>Bedingung</i>);</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>WIEDERHOLE</span></b></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>SOLANGE</span></b><span
  style='font-size:8.0pt;font-family:"Courier New"'> <i>(Bedingung)</i></span></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=196 height=67 id="Grafik 4"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image036.jpg"></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=115 height=94 id="Grafik 19"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image037.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt;font-family:"Courier New"'><img border=0 width=107
  height=89 id="Grafik 5" src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image038.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b>Z&auml;hler</b>gesteuerte Schleife</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(l&auml;uft eine definierte Anzahl)</span></p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>for(z=0;
  z&lt;9; z++){</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;<i>Anweisung;</i></span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>}</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>Z&Auml;HLE
  VON </span></b><span style='font-size:8.0pt;font-family:"Courier New"'>z := 0
  <b>BIS </b>8</span></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>N&Auml;CHSTES
  z </span></b></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></b></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></b></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></b></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>F&Uuml;R
  JEDES </span></b><i><span style='font-size:8.0pt;font-family:"Courier New"'>element</span></i><b><span
  style='font-size:8.0pt;font-family:"Courier New"'> VON </span></b><i><span
  style='font-size:8.0pt;font-family:"Courier New"'>liste </span></i></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>  
    &nbsp;&nbsp;<i>Anweisung</i></span></p>
  <p class=MsoNormal><b><span style='font-size:8.0pt;font-family:"Courier New"'>N&Auml;CHSTES
  </span></b><i><span style='font-size:8.0pt;font-family:"Courier New"'>element</span></i></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=198 height=64 id="Grafik 8"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image039.jpg"></p>
  </td>
  <td width=19 style='width:14.2pt;border:none;border-bottom:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'>&nbsp;</p>
  </td>
  <td width=293 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img width=109
  height=158 src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image040.png" align=left
  hspace=12>
  <br/><span
  style='font-size:8.0pt'>(Alternative zur Darstellung als kopfgesteuerte
  Schleife, nicht normgerecht, aber g&auml;ngig)</span><br/>
  <img border=0 width=141 height=111 id="Grafik 1"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image041.png"></p>
  </td>
  
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt;font-family:"Courier New"'><img border=0 width=106
  height=152 id="Grafik 23" src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image042.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Methodenaufruf / Unterprogramm</p>
  </td>
  <td width=236 style='text-align:left;width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>methodenaufruf();</span></p>
  </td>
  <td width=217 style='text-align:left;width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>methodenaufruf()</span></p>
  </td>
  <td width=246 style='width:184.25pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=182 height=34 id="Grafik 9"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image043.jpg"></p>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt'>(nicht Bestandteil der Norm, aber g&auml;ngig)</span></p>
  </td>
  <td width=293 colspan=2 style='width:219.7pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=116 height=53 id="Grafik 21"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image044.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=93 height=44 id="Grafik 75"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image045.jpg"
  alt="Call activity action for User Authentication activity."></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Grenzstelllen</p>
  <p class=MsoNormal><span style='font-size:8.0pt'>(im PAP werden Anfang/Ende
  und Verweise mit Ovalen dargestellt)</span></p>
  </td>
  <td width=236 style='width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:6.0pt'>&nbsp;</span></p>
  </td>
  <td width=217 style='width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></p>
  </td>
  <td width=246 valign=top style='width:184.25pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:6.0pt'>&nbsp;</span></p>
  </td>
  <td width=293 colspan=2 valign=top style='width:219.7pt;border-top:none;
  border-left:none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><img border=0
  width=115 height=85 id="Grafik 22"
  src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image046.jpg"></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal align=center style='text-align:center'><span
  style='font-size:8.0pt;font-family:"Courier New"'><img border=0 width=69
  height=87 id="Grafik 14" src="https://oer-informatik.gitlab.io/algorithmik/pseudocode/uebersicht/programmentwurfsmethoden-Dateien/image047.png"></span></p>
  </td>
 </tr>
 <tr>
  <td width=149 valign=top style='width:111.5pt;border-top:none;border-left:
  solid;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal>Online-Tools</p>
  </td>
  <td width=236 style='width:177.15pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:9.0pt'>&nbsp;</span></p>
  </td>
  <td width=217 style='width:163.05pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:9.0pt'>&nbsp;</span></p>
  </td>
  <td width=246 valign=top style='width:184.25pt;border-top:none;border-left:
  none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:9.0pt'>Tools zum Erstellen z.B.
  StructEd, </span><a
  href="http://www.whiledo.de/index.php?p=struktogrammeditor"><span
  style='font-size:9.0pt'>Struktogrammeditor</span></a><span style='font-size:
  9.0pt'>, </span><a
  href="http://structorizer.fisch.lu/index.php?include=applet"><span
  style='font-size:9.0pt'>Structorizer</span></a></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:9.0pt'>Online-Tools: z.B.:</span></p>
  <p class=MsoPlainText><a
  href="https://dditools.inf.tu-dresden.de/struktog/index.html"><span
  lang=EN-GB style='font-size:7.0pt'>https://dditools.inf.tu-dresden.de/struktog/index.html</span></a></p>
  <p class=MsoNormal><a
  href="http://www.whiledo.de/index.php?p=struktogrammeditor"><span lang=EN-GB
  style='font-size:6.0pt'>http://www.whiledo.de/index.php?p=struktogrammeditor</span></a></p>
  </td>
  <td width=293 colspan=2 valign=top style='width:219.7pt;border-top:none;
  border-left:none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
  padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:9.0pt'>Tools zum Erstellen z.B. </span></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:9.0pt'>Dia, PAP-Designer,
  MS Visio</span></p>
  <p class=MsoNormal><span lang=EN-GB style='font-size:9.0pt'>Online-Tools z.B.</span><span
  lang=EN-GB> </span><a href="https://www.yworks.com/yed-live/"><span
  lang=EN-GB style='font-size:9.0pt'>yed-live</span></a><span lang=EN-GB
  style='font-size:9.0pt'>, </span><a href="https://app.diagrams.net/"><span
  lang=EN-GB style='font-size:9.0pt'>draw.io</span></a></p>
  </td>
  <td width=246 style='width:184.3pt;border-top:none;border-left:none;
  border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;padding:0cm 5.4pt 0cm 5.4pt'>
  <p class=MsoNormal><span style='font-size:9.0pt'>Tools zum Erstellen z.B. </span></p>
  <p class=MsoNormal><a href="https://app.diagrams.net/"><span
  style='font-size:8.0pt;font-family:"Courier New"'>https://app.diagrams.net/</span></a></p>
  <p class=MsoNormal><a href="https://plantuml.com"><span style='font-size:
  8.0pt;font-family:"Courier New"'>https://plantuml.com</span></a></p>
  <p class=MsoNormal><span style='font-size:8.0pt;font-family:"Courier New"'>&nbsp;</span></p>
  </td>
 </tr>
</table>

<p class=MsoNormal><span style='font-size:6.0pt'>&nbsp;</span></p>

</div>
